## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcversion 24-11

Name:           pgn-extract
Version:        %(echo %{srcversion} | tr - .)
Release:        %autorelease
Summary:        Portable Game Notation (PGN) Manipulator for Chess Games

# typedef.h is GPLv1+, the rest is GPLv3+
License:        GPL-3.0-or-later AND GPL-1.0-or-later
URL:            https://www.cs.kent.ac.uk/~djb/pgn-extract
Source:         %{url}/%{name}-%{srcversion}.tgz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  sed

%description
pgn-extract is a command-line program for searching, manipulating and
formatting chess games recorded in the Portable Game Notation (PGN) or
something close. It is capable of handling files containing millions of games.
It also recognizes Chess960 encodings.

%prep
%autosetup -n %{name}

# Fix default path for eco.pgn
sed -i 's:"eco.pgn":"%{_datadir}/%{name}/eco.pgn":' main.c

# Fix end of line encoding and permissions
sed -i 's/\r$//' style.css
chmod -x style.css

%build
%make_build OPTIMISE=

%install
install -Dpm0755 -t %{buildroot}%{_bindir} %{name}
install -Dpm0644 -t %{buildroot}%{_datadir}/%{name} eco.pgn
install -Dpm0644 %{name}.man %{buildroot}%{_mandir}/man1/%{name}.1

%check
pushd test
%make_build
./runtests
popd

%files
%license COPYING copyright
%doc index.html changes.html help.html style.css
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 24.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Dec 18 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 24.11-1
- Update to 24-11

* Wed Dec 18 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 22.11-1
- Initial import; Fixes: RHBZ#2195959
## END: Generated by rpmautospec
